> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/quickstart.md).

# Quickstart

### Introduction

Welcome to this quickstart guide on connecting your Shopify store with ShopifyConnector inside Struct PIM. This integration allows you to efficiently manage your product information and data synchronization between Shopify and Struct PIM, streamlining your e-commerce operations.

Follow the steps in this guide to seamlessly connect your store and get started with enhanced product management capabilities.

### Prerequisites

Before connecting your Shopify store to ShopifyConnector, make sure you meet all prerequisites.

1. Set up a store on your Shopify account.
2. Generate a Shopify store API key with the [required permissions](/reference/app-store/struct-apps/shopifyconnector/permissions.md).

When you have met the Shopify prerequisites you can start configuring the ShopifyConnector.

### Create a store inside the ShopifyConnector

The next step is [setting up the store within the ShopifyConnector](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/stores.md#add-store). This store is where you add the integration requirements, enabling your Shopify store to communicate effectively via the ShopifyConnector. [You can learn more on how to connect your Shopify store to your Struct PIM in this guide](/tutorials/guides/how-to-use-struct-pim-apps/how-to-use-shopifyconnector/how-to-connect-your-shopify-store-with-shopifyconnector.md).

### Add the required attributes to your PIM data models

To sync your Shopify store with your PIM, [certain attributes are required](/reference/app-store/struct-apps/shopifyconnector/requirements.md) on your data models (products, variant groups and variants). To fulfill these requirements, you can create attributes within your PIM to effectively manage these options in the ShopifyConnector.

### Best practices for configuring the ShopifyConnector

Next thing to do is configuring the ShopifyConnector. We have collected a few best practices you can follow to get a integration setup that is easy to understand and navigate in.

#### Use default values to prevent bottle necks

When setting up required attributes in the PIM, it is a good idea to set default values on them to prevent scenarios where the product doesn't get synced due to a missing required field.

#### Set up meta fields, but be aware...

Meta fields are great for storing data that is specific to your business needs or other alternative product information you want to display.

{% hint style="warning" %}
Updating one meta field will update the field for all your store instances. Make sure to only use meta fields for information that is universal for all data models.
{% endhint %}

#### Add a separate tab for the ShopifyConnector on your product structure

To keep things organized, create a separate tab for the ShopifyConnector details on your product structure. This will make it easier to keep an overview of what is related to your Shopify store.

#### Add the ShopifyId attribute to the ShopifyConnector tab

Products ids will be different in the PIM and in your Shopify store, and it can easily get confusing. The ShopifyConnector will automatically set up an attribute which will be used to fetch the id of the product from Shopify. Add this attribute to your ShopifyConnector tab to keep things organized.

#### Set up a store filter to structure your product synchronization

Instead of syncing all the products you create right away, you can create an attribute that determine if the product is ready to be added to your Shopify store or not. The possibilities are endless.

**Example:** A "Ready for web"-boolean attribute that gets set when a given enrichment insight is fulfilled.

#### Use the default thread limit

While it can seem like a good idea to hike the thread limit on your ShopifyConnector at first, it can quickly have adverse effects if you do not know what you are doing. Start with the standard thread limit of two, and only increase it if you experience slow processing times.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
